search: Search for locations by name or address

API: openstreetmap.org:nominatim-api
Endpoint: /search
Response format: application/json +1 format
Auth: unknown
Method: GET
Last Status: 200
Latency: 594ms

Description

Search OpenStreetMap objects by name or type. Returns matching places with coordinates and address details.

Parameters (25)

accept-language (string, query, optional)

Preferred language for results (e.g., 'en', 'de,en', 'fr-FR')

addressdetails (integer, query, optional, default: 1)

Include breakdown of the address into elements (0 or 1)

Constraints: {'enum': [0, 1]}

amenity (string, query, optional)

Structured search: amenity name (e.g., 'restaurant'). Use with other structured params, not with 'q'.

bounded (integer, query, optional, default: 0)

When 1 with viewbox, restrict results to within bounding box (0 or 1)

Constraints: {'enum': [0, 1]}

city (string, query, optional)

Structured search: city name. Use with other structured params, not with 'q'.

country (string, query, optional)

Structured search: country name. Use with other structured params, not with 'q'.

countrycodes (string, query, optional)

Comma-separated ISO 3166-1 alpha-2 country codes to filter results (e.g., 'us,ca')

county (string, query, optional)

Structured search: county name. Use with other structured params, not with 'q'.

dedupe (integer, query, optional, default: 1)

Deduplicate split OSM objects (0 or 1)

Constraints: {'enum': [0, 1]}

email (string, query, optional)

Valid email for identification (required for high-volume usage per Usage Policy)

entrances (integer, query, optional, default: 0)

Include tagged entrances (0 or 1)

Constraints: {'enum': [0, 1]}

exclude_place_ids (string, query, optional)

Comma-separated place IDs to exclude from results

extratags (integer, query, optional, default: 0)

Include additional database info like Wikipedia, hours (0 or 1)

Constraints: {'enum': [0, 1]}

featureType (string, query, optional)

Restrict results to specific feature type (only works with address layer)

Constraints: {'enum': ['country', 'state', 'city', 'settlement']}

format (string, query, optional, default: jsonv2)

Output format

Constraints: {'enum': ['xml', 'json', 'jsonv2', 'geojson', 'geocodejson']}

json_callback (string, query, optional)

Function name for JSONP wrapper (JSON formats only)

layer (string, query, optional, default: address,poi)

Comma-separated layer filter: address, poi, railway, natural, manmade

limit (integer, query, optional, default: 10)

Maximum number of results to return (1-40)

Constraints: {'minimum': 1, 'maximum': 40}

namedetails (integer, query, optional, default: 0)

Include full list of names including variants (0 or 1)

Constraints: {'enum': [0, 1]}

polygon_geojson (integer, query, optional, default: 0)

Include full geometry as GeoJSON (0 or 1)

Constraints: {'enum': [0, 1]}

postalcode (string, query, optional)

Structured search: postal code. Use with other structured params, not with 'q'.

q (string, query, optional)

Free-form query string to search for (unstructured text). Mutually exclusive with structured query parameters.

state (string, query, optional)

Structured search: state name. Use with other structured params, not with 'q'.

street (string, query, optional)

Structured search: street name. Use with other structured params, not with 'q'.

viewbox (string, query, optional)

Bounding box to prioritize results (x1,y1,x2,y2)

Examples (3)

Forward Geocoding openapi-spec
curl 'https://nominatim.openstreetmap.org/search?q=Berlin&countrycodes=de%2Cus'
import requests

resp = requests.get(
    "https://nominatim.openstreetmap.org/search",
    params={
        'q': 'Berlin',
        'countrycodes': 'de,us',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("nominatim")
result = api.fetch("search", q="Berlin", countrycodes="de,us")

for item in result:
    print(item)
const resp = await fetch("https://nominatim.openstreetmap.org/search?q=Berlin&countrycodes=de%2Cus");
const data = await resp.json();
Forward Geocoding openapi-spec
curl 'https://nominatim.openstreetmap.org/search?q=London%2C+UK'
import requests

resp = requests.get(
    "https://nominatim.openstreetmap.org/search",
    params={
        'q': 'London, UK',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("nominatim")
result = api.fetch("search", q="London, UK")

for item in result:
    print(item)
const resp = await fetch("https://nominatim.openstreetmap.org/search?q=London%2C+UK");
const data = await resp.json();
Forward Geocoding probe-gate
curl 'https://nominatim.openstreetmap.org/search?q=London%2C+UK&format=json&limit=10&addressdetails=0&extratags=0&namedetails=0'
import requests

resp = requests.get(
    "https://nominatim.openstreetmap.org/search",
    params={
        'q': 'London, UK',
        'format': 'json',
        'limit': '10',
        'addressdetails': '0',
        'extratags': '0',
        'namedetails': '0',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("nominatim")
result = api.fetch("search", q="London, UK", format="json", limit=10, addressdetails=0, extratags=0, namedetails=0)

for item in result:
    print(item)
const resp = await fetch("https://nominatim.openstreetmap.org/search?q=London%2C+UK&format=json&limit=10&addressdetails=0&extratags=0&namedetails=0");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:13:14.287697 200 594ms
2026-04-16 03:06:13.073916 200 385ms
2026-04-16 00:09:26.435016 200 243ms
2026-04-15 03:40:53.908662 200 299ms
2026-04-15 02:36:52.308022 200 434ms
2026-04-15 00:25:23.806309 200 966ms
2026-04-14 03:51:45.665016 200 294ms
2026-04-14 03:10:15.909418 200 852ms
2026-04-14 02:09:36.416510 200 314ms
2026-04-12 15:53:19.879935 200 292ms
2026-04-12 15:48:29.521433 200 575ms
2026-04-12 14:59:52.075908 200 308ms
2026-04-10 06:42:59.139281 200 232ms
2026-04-10 02:06:14.094969 200 599ms
2026-04-10 01:17:25.764661 200 250ms
2026-04-09 02:04:00.238866 200 282ms
2026-04-09 01:56:05.950837 200 277ms
2026-04-09 01:29:54.953033 200 527ms
2026-03-30 02:42:08.241673 200 549ms
2026-03-30 02:37:42.195593 200 376ms
2026-03-30 02:04:02.264065 200 283ms
2026-03-29 12:56:46.179717 200 1158ms
2026-03-29 12:52:15.722761 200 235ms
2026-03-29 12:49:42.001069 200 741ms
2026-03-23 10:39:45.178180 200 226ms
2026-03-23 09:38:15.084403 200 303ms
2026-03-23 09:33:59.341673 200 673ms